(* Name: ACTIVITYHPDAT.m  
         data file of PET: Petrological Elementary Tools 
	 Dachs, E (1998): Computers & Geoscience 24:219-235
	 	  (2004): Computers & Geoscience 30:173-182 *)

(* Summary: this file contains data for activity models compatible with the Holland & Powell data set *)

(* Author: Edgar Dachs, Department of Mineralogy
                        University of Salzburg, Austria
                        email: edgar.dachs@sbg.ac.at
                        last update:  03-2004           *)

{ 
 {{"grt", {{"", {"Mg", "Ca", "Fe", "Mn"}}, {"", {"Al", "Fe3"}}}},
  {
   {"py",  {{"Mg", "Mg", "Mg"}, {"Al", "Al"}}},
   {"gr",  {{"Ca", "Ca", "Ca"}, {"Al", "Al"}}},
   {"alm", {{"Fe", "Fe", "Fe"}, {"Al", "Al"}}},
   {"sp",  {{"Mn", "Mn", "Mn"}, {"Al", "Al"}}},
   {"andr",{{"Ca", "Ca", "Ca"}, {"Fe3", "Fe3"}}}
  }, 
  {
   {{0, 33, 2.5, 0, 73}, {0, 0, 0, 0, 0}, {0, 0, 0, 0, 60}, {0, 0, 0, 0, 60}, {0, 0, 0, 0, 0}}, 
   {},0
  }
 },
{{"chl", {{"M23", {"Mg", "Fe"}}, {"M1", {"Mg", "Al", "Fe"}}, {"M4", {"Mg", "Al"}},{"", {"OH"}},{"T2", {"Si", "Al"}}}},
  {
   {"afchl",{{"Mg", "Mg", "Mg", "Mg"}, {"Mg"}, {"Mg"}, {"OH","OH"}, {"Si", "Si"}}},
   {"clin", {{"Mg", "Mg", "Mg", "Mg"}, {"Mg"}, {"Al"}, {"OH","OH"}, {"Al", "Si"}}},
   {"ames", {{"Mg", "Mg", "Mg", "Mg"}, {"Al"}, {"Al"}, {"OH","OH"}, {"Al", "Al"}}},
   {"daph", {{"Fe", "Fe", "Fe", "Fe"}, {"Fe"}, {"Al"}, {"OH","OH"}, {"Al", "Si"}}}
  },
  {
   {{0,18,20,20.5},{0,0,18,2.5},{0,0,0,20.5},{0,0,0,0}},
   {},-63
  }
 }, 
{{"zoep", {{"M2", {"Ca"}}, {"M1", {"Al","Fe3"}}, {"M3", {"Al","Fe3"}}}},
  {
   {"cz", {{"Ca"}, {"Al"}, {"Al"}}},
   {"ep", {{"Ca"}, {"Al"}, {"Fe3"}}},
   {"fep",{{"Ca"}, {"Fe3"},{"Fe3"}}}
  },
  {
   {{0,0,15.4},{0,0,3},{0,0,0}},
   {},-26.1
  }
 }, 
{{"cpx", {{"M2", {"Ca", "Na", "Mg"}}, {"M1", {"Al", "Fe3", "Mg", "Fe"}}}}, (* quadrilateral cpx *)
  {
   {"di",  {{"Ca"}, {"Mg"}}},
   {"hed", {{"Ca"}, {"Fe"}}},
   {"cats",{{"Ca"}, {"Al"}}},
   {"jd",  {{"Na"}, {"Al"}}},
   {"en",  {{"Mg"}, {"Mg"}}},
   {"acm", {{"Na"}, {"Fe3"}}}   
  },
  {
   {{0,3,7,24,30},{0,0,4,24,20},{0,0,0,20,24},{0,0,0,0,24},{0,0,0,0,0}},
   {},0
  }
 }, 
{{"cpx2", {{"M2", {"Ca", "Na", "Mg"}}, {"M1", {"Al", "Fe3", "Mg", "Fe"}}}}, (* sodic cpx *)
  {
   {"jd",  {{"Na"}, {"Al"}}},
   {"acm", {{"Na"}, {"Fe3"}}},
   {"di",  {{"Ca"}, {"Mg"}}},
   {"hed", {{"Ca"}, {"Fe"}}}
  },
  {
   {{0,0,24,24},{0,0,24,24},{0,0,0,3},{0,0,0,0}},
   {},0
  }
 }, 
{{"opx", {{"M2", {"Mg", "Fe", "Ca"}}, {"M1", {"Mg", "Fe", "Al"}}}},
  {
   {"en",   {{"Mg"}, {"Mg"}}},
   {"fs",   {{"Fe"}, {"Fe"}}},
   {"mgts", {{"Mg"}, {"Al"}}},
   {"di",   {{"Ca"}, {"Mg"}}}   
  },
  {
   {{0,1,0,30},{0,0,1,28},{0,0,0,30},{0,0,0,0}},
   {},0
  }
 }, 
{{"ol", {{"M1", {"Mg", "Fe"}}, {"M2", {"Mg", "Fe"}}}},
  {
   {"fo", {{"Mg"}, {"Mg"}}},
   {"fa", {{"Fe"}, {"Fe"}}}   
  },
  {
   {{0,8},{0,0}},
   {},0
  }
 }, 
{{"ta", {{"M12", {"Mg", "Fe"}}, {"M3", {"Mg", "Fe", "Al"}},{"T1", {"Si", "Al"}}}},
  {
   {"ta",  {{"Mg","Mg"}, {"Mg"},{"Si","Si"}}},
   {"fta", {{"Fe","Fe"}, {"Fe"},{"Si","Si"}}},
   {"tats",{{"Mg","Mg"}, {"Al"},{"Si","Al"}}}   
  },
  {}
 }, 
{{"ctd", {{"M2", {"Mg", "Fe", "Mn"}}, {"M1", {"Al","Fe3"}}}},
  {
   {"mctd",  {{"Mg"}, {{"Al",1,0.5}}}},
   {"fctd",  {{"Fe"}, {{"Al",1,0.5}}}},   
   {"mnctd", {{"Mn"}, {{"Al",1,0.5}}}}   
  },
  {
   {{0,1.5,1.5},{0,0,1.5},{0,0,0}},
   {},0
  }
 },  
{{"crd", {{"M", {"Mg", "Fe", "Mn"}}}},
  {
   {"crd",  {{"Mg","Mg"}}},
   {"fcrd",  {{"Fe","Fe"}}},   
   {"mncrd", {{"Mn","Mn"}}}   
  },
  {
   {{0,1.5,1.5},{0,0,1.5},{0,0,0}},
   {},0
  }
 }, 
{{"stau", {{"M", {"Mg", "Fe", "Mn"}}}},
  {
   {"mst",  {{"Mg","Mg","Mg","Mg"}}},
   {"fst",  {{"Fe","Fe","Fe","Fe"}}},   
   {"mnst", {{"Mn","Mn","Mn","Mn"}}}   
  },
  {}
 },
{{"plag", {{"A", {"Na", "Ca"}}}}, (* C1- plag  *)
  {
   {"ab", {{"Na"}}},
   {"an", {{"Ca"}}}   
  },
  {
   {{0,0},{0,0}},
   {},0
  }
 },
 {{"plag2", {{"A", {"Na", "Ca"}}}}, (* I1- plag  *)
  {
   {"ab", {{"Na"}}},
   {"an", {{"Ca"}}}   
  },
  {
   {{0,9.8},{0,0}},
   {},0
  }
 }, 
 {{"kf", {{"A", {"Na", "K"}}}},
  {
   {"ab", {{"Na"}}},
   {"san", {{"K"}}}   
  },
  {
   {{0,{18810/1000,10.3/1000,0.364/1000}},{{27320/1000,10.3/1000,0.364/1000},0}},
   {},0 (* parameters from Chatterjee (1991)-book: p.264  *)
  }
 },  
(*
 {{"kf", {{"A", {"Na", "K"}}}},
  {
   {"ab", {{"Na"}}},
   {"san", {{"K"}}}   
  },
  {
   {{0,2.95*4.184},{4.2*4.184,0}},
   {},0 (* parameters from Thompson & Waldbaum (1969), Tab. 5  *)
  }
 }, 
*) 
{{"amph", {{"A",{"Na","K","Vac"}},{"M4",{"Ca","Na"}},{"M13",{"Mg","Fe"}},{"M2",{"Mg","Fe","Al","Fe3"}},{"T1",{"Si","Al"}}}},
  { (* calcic amph *)
   {"tr",  {{"Vac"}, {"Ca", "Ca"}, {"Mg", "Mg", "Mg"}, {"Mg", "Mg"}, {"Si", "Si"}}},
   {"fact",{{"Vac"}, {"Ca", "Ca"}, {"Fe", "Fe", "Fe"}, {"Fe", "Fe"}, {"Si", "Si"}}},
   {"ts",  {{"Vac"}, {"Ca", "Ca"}, {"Mg", "Mg", "Mg"}, {"Al", "Al"}, {"Si", "Al"}}},
   {"prg", {{"Na"},  {"Ca", "Ca"}, {"Mg", "Mg", "Mg"}, {"Mg", "Al"}, {"Si", "Al"}}},
   {"gl",  {{"Vac"}, {"Na", "Na"}, {"Mg", "Mg", "Mg"}, {"Al", "Al"}, {"Si", "Si"}}},
   {"fits",{{"Vac"}, {"Ca", "Ca"}, {"Mg", "Mg", "Mg"}, {"Fe3", "Fe3"}, {"Si", "Al"}}},
   {"kprg",{{"K"},   {"Ca", "Ca"}, {"Mg", "Mg", "Mg"}, {"Mg", "Al"}, {"Si", "Al"}}}
  },
  {
   {{0,11.4,20.8,29.3,35.3,88.3,12},{0,0,0,11.4,15,88.3,-37.8},{0,0,0,18.2,15,0,-23.8},{0,0,0,0,84.5,88.3,12},
    {0,0,0,0,0,88.3,50.8},{0,0,0,0,0,0,88.3},{0,0,0,0,0,0,0}}, 
   {},0
  }
 },
 {{"amph2", {{"A",{"Na","K","Vac"}},{"M4",{"Ca","Na"}},{"M13",{"Mg","Fe"}},{"M2",{"Mg","Fe","Al","Fe3"}},{"T1",{"Si","Al"}}}},
  { (* sodic amph *)
   {"gl",  {{"Vac"}, {"Na", "Na"}, {"Mg", "Mg", "Mg"}, {"Al", "Al"}, {"Si", "Si"}}},
   {"fgl", {{"Vac"}, {"Na", "Na"}, {"Fe", "Fe", "Fe"}, {"Al", "Al"}, {"Si", "Si"}}},
   {"rieb",{{"Vac"}, {"Na", "Na"}, {"Fe", "Fe", "Fe"}, {"Fe3", "Fe3"}, {"Si", "Si"}}}
  },
  {
   {{0,10,10},{0,0,0},{0,0,0}}, 
   {},0
  }
 },
  {{"amph3", {{"A",{"Na","K","Vac"}},{"M4",{"Ca","Na"}},{"M13",{"Mg","Fe"}},{"M2",{"Mg","Fe","Al","Fe3"}},{"T1",{"Si","Al"}}}},
  { (* Fe-Mg amph *)
   {"cumm", {{"Vac"}, {"Mg", "Mg"}, {"Mg", "Mg", "Mg"}, {"Mg", "Mg"}, {"Si", "Si"}}},
   {"grun", {{"Vac"}, {"Fe", "Fe"}, {"Fe", "Fe", "Fe"}, {"Fe", "Fe"}, {"Si", "Si"}}}
  },
  {
   {{0,17.5},{0,0}}, 
   {},0
  }
 },
 {{"wm", {{"A",{"K","Na","Ca"}},{"M2A",{"Al","Mg","Fe"}},{"T1",{"Si","Al"}}}},
  { (* muscovite - phengite *)
   {"mu",  {{"K"}, {"Al"}, {"Si", "Al"}}},
   {"pa",  {{"Na"},{"Al"}, {"Si", "Al"}}},
   {"cel", {{"K"}, {"Mg"}, {"Si", "Si"}}},
   {"fcel",{{"K"}, {"Fe"}, {"Si", "Si"}}}
  },
  {
   {{0,{12,0,0.4},0,0},{0,0,{14,0,0.2},{14,0,0.2}},{0,0,0,0},{0,0,0,0}}, 
   {},0
  }
 }, 
 {{"wm1", {{"A",{"K","Na","Ca"}},{"M2A",{"Al","Mg","Fe"}},{"T1",{"Si","Al"}}}},
  { (* margarite *)
   {"pa", {{"Na"}, {"Al"}, {"Si", "Al"}}},
   {"ma", {{"Ca"}, {"Al"}, {"Al", "Al"}}}
    },
  {
   {{0,14.5,14},{0,0,14},{0,0,0}}, 
   {},0
  }
 },
 {{"wm2", {{"A",{"K","Na","Ca"}},{"M2A",{"Al","Mg","Fe"}},{"T1",{"Si","Al"}}}},
  { (* paragonite  *)
   {"mu",  {{"K"}, {"Al"}, {"Si", "Al"}}},
   {"pa",  {{"Na"},{"Al"}, {"Si", "Al"}}}
  },
  {
   {{0,22.8,14},{0,0,14},{0,0,0}}, 
   {},0
  }
 },
 {{"wm3", {{"A",{"K","Na","Ca";"Vac"}},{"M1",{"Mg","Vac"}},{"M2A",{"Al","Mg","Fe2"}},{"M2B",{"Al","Mg","Fe3","Ti"}},{"T1",{"Si","Al"}}}},
  { (* muscovite - phengite for Coggon & Holland (2002) *)
   {"mu",  {{"K"},  {"Vac"}, {"Al"}, {"Al"}, {"Si", "Al"}}},
   {"pa",  {{"Na"}, {"Vac"}, {"Al"}, {"Al"}, {"Si", "Al"}}},
   {"ma",  {{"Ca"}, {"Vac"}, {"Al"}, {"Al"}, {"Al", "Al"}}},
   {"cel", {{"K"},  {"Vac"}, {"Mg"}, {"Al"}, {"Si", "Si"}}},
   {"fcel",{{"K"},  {"Vac"}, {"Fe2"},{"Al"}, {"Si", "Si"}}},
   {"pyp", {{"Vac"},{"Vac"}, {"Al"}, {"Al"}, {"Si", "Si"}}}
  },
  {
   {{0,{10.12,0.0034,0.353},30,{0,0,0.2},{0,0,0.2},{20,0,0.2}},{0,0,14.5,52,52,{20,0,0.2}},{0,0,0,30,30,{30,0,0.2}},
    {0,0,0,0,0,{25,0,0.2}},{0,0,0,0,0,{25,0,0.2}},{0,0,0,0,0,0}}, 
   {},0,{0.63,0.37,0.37,0.63,0.63,0.5}
  }
 }, 
{{"bt", {{"A",{"K"}},{"M1",{"Mg","Fe","Al"}},{"M2",{"Mg","Fe"}},{"T1",{"Si","Al"}}}},
  { (* biotite  *)
   {"phl",  {{"K"}, {"Mg"}, {"Mg", "Mg"}, {"Si", "Al"}}},
   {"ann",  {{"K"}, {"Fe"}, {"Fe", "Fe"}, {"Si", "Al"}}},
   {"east", {{"K"}, {"Al"}, {"Mg", "Mg"}, {"Al", "Al"}}},
   {"obi",  {{"K"}, {"Fe"}, {"Mg", "Mg"}, {"Si", "Al"}}}
  },
  {
   {{0,9,10,3},{0,0,-1,6},{0,0,0,10},{0,0,0,0}}, 
   {},-32.3
  }
 },
{{"spin", {{"M",{"Mg","Fe2"}},{"T",{"Al","Fe3"}}}},
  { (* spinel  *)
   {"spi", {{"Mg"}, {"Al", "Al"}}},
   {"herc",{{"Fe2"}, {"Al", "Al"}}},
   {"mt",  {{"Fe2"}, {"Fe3", "Fe3"}}}
  },
  {
   {{0,2,41},{0,0,39},{0,0,0}}, 
   {},0
  }
 },
{{"saph", {{"M", {"Mg", "Fe", "Al"}}, {"T", {"Si", "Al"}}}},
  { (* sapphirine  *)
   {"spr4", {{"Mg", "Al", "Al", "Al"}, {"Si", "Al", "Al", "Al"}}},
   {"spr7", {{{"Mg",0.5,0.5},{"Al",3.5,1}, {"Al",3.5,1},{"Al",3.5,1.5}},{{"Si",0.5,0.5},{"Al",3.5,1},{"Al",3.5,1},{"Al",3.5,1.5}}}},
   {"fspr", {{{"Fe",0.5,0.5},{"Al",3.5,1}, {"Al",3.5,1},{"Al",3.5,1.5}},{{"Si",0.5,0.5},{"Al",3.5,1},{"Al",3.5,1},{"Al",3.5,1.5}}}}
  },{}
 },
{{"dol", {{"M2", {"Ca"}}, {"M1", {"Mg","Fe","Mn"}}}},
  {
   {"dol",  {{"Ca"}, {"Mg"}}},
   {"ank",  {{"Ca"}, {"Fe"}}}
  },
  {
   {{0,3},{0,0}},
   {},0
  }
 },
{{"cal", {{"M", {"Ca","Mg","Fe","Mn"}}}},
  {
   {"cal",  {{"Ca"}}},
   {"mag",  {{"Mg"}}},
   {"sid",  {{"Fe"}}},
   {"rhc",  {{"Mn"}}}
  },
  {
   {{0,22,18,0},{0,0,4,0},{0,0,0,0},{0,0,0,0}},
   {},0
  }
 },
{{"fetiox", {{"M1", {"Fe2","Fe3","Mn","Mg"}}, {"M2", {"Ti","Fe3"}}}},
  {
   {"ilm",  {{"Fe2"}, {"Ti"}}},
   {"hem",  {{"Fe3"}, {"Fe3"}}},
   {"pnt",  {{"Mn"}, {"Ti"}}},
   {"geik", {{"Mg"}, {"Ti"}}}   
  },{}
 },
{{"sphen", {{"", {"Ca"}}, {"", {"Ti"}}}},
  {
   {"sph",  {{"Ca"}, {"Ti"}}}
  },{}
 }
 

}
